# files

abstract fun files(@Nullable paths: Array<@Nullable Any>): TaskOutputFilePropertyBuilder

Registers some output files for this task.

When the given `paths` is a java.util.Map, then each output file will be associated with an identity. The keys of the map must be non-empty strings. The values of the map will be evaluated to individual files as per file.

Otherwise the given files will be evaluated as per files.

#### Parameters

paths

The output files.

#### See also

CacheableTask